SimpleGroovyExecutableMemberDoc (Groovy 4.0.10)
Description: declaration: package: org.codehaus.groovy.tools.groovydoc, class: SimpleGroovyExecutableMemberDoc

Package org.codehaus.groovy.tools.groovydoc

# Class SimpleGroovyExecutableMemberDoc

java.lang.Object
org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc
org.codehaus.groovy.tools.groovydoc.SimpleGroovyExecutableMemberDoc

All Implemented Interfaces:
  `Comparable<GroovyDoc>`, `GroovyDoc`, `GroovyExecutableMemberDoc`, `GroovyMemberDoc`, `GroovyProgramElementDoc`

Direct Known Subclasses:
  `SimpleGroovyConstructorDoc`, `SimpleGroovyMethodDoc`

public class SimpleGroovyExecutableMemberDoc extends SimpleGroovyMemberDoc implements GroovyExecutableMemberDoc

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

  `belongsToClass`

  ### Fields inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleGroovyExecutableMemberDoc(String name, GroovyClassDoc belongsToClass)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(GroovyParameter parameter)`
  `String`
  `flatSignature()`
  `boolean`
  `isNative()`
  `boolean`
  `isSynchronized()`
  `boolean`
  `isVarArgs()`
  `GroovyParameter[]`
  `parameters()`
  `String`
  `signature()`
  `GroovyClassDoc[]`
  `thrownExceptions()`
  `GroovyType[]`
  `thrownExceptionTypes()`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

  `commentText, firstSentenceCommentText, isSynthetic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyAbstractableElementDoc

  `isAbstract, setAbstract`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyProgramElementDoc

  `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

  ### Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

  `calculateFirstSentence, compareTo, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, tokenType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc

  `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyMemberDoc

  `isSynthetic`

  ### Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

  `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

- ## Constructor Details

  - ### SimpleGroovyExecutableMemberDoc

    public SimpleGroovyExecutableMemberDoc(String name, GroovyClassDoc belongsToClass)

- ## Method Details

  - ### parameters

    public GroovyParameter[] parameters()
    Specified by:
      `parameters` in interface `GroovyExecutableMemberDoc`

  - ### add

    public void add(GroovyParameter parameter)

  - ### flatSignature

    public String flatSignature()
    Specified by:
      `flatSignature` in interface `GroovyExecutableMemberDoc`

  - ### isNative

    public boolean isNative()
    Specified by:
      `isNative` in interface `GroovyExecutableMemberDoc`

  - ### isSynchronized

    public boolean isSynchronized()
    Specified by:
      `isSynchronized` in interface `GroovyExecutableMemberDoc`

  - ### isVarArgs

    public boolean isVarArgs()
    Specified by:
      `isVarArgs` in interface `GroovyExecutableMemberDoc`

  - ### signature

    public String signature()
    Specified by:
      `signature` in interface `GroovyExecutableMemberDoc`

  - ### thrownExceptions

    public GroovyClassDoc[] thrownExceptions()
    Specified by:
      `thrownExceptions` in interface `GroovyExecutableMemberDoc`

  - ### thrownExceptionTypes

    public GroovyType[] thrownExceptionTypes()
    Specified by:
      `thrownExceptionTypes` in interface `GroovyExecutableMemberDoc`